%global libosmium_version 2.11.1
%global rapidjson_version 1.1.0

Name:           osmium-tool
Version:        1.5.1
Release:        2%{?dist}
Summary:        Command line tool for working with OpenStreetMap data

License:        GPLv3
URL:            http://osmcode.org/osmium/
Source0:        https://github.com/osmcode/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake gcc-c++ pandoc man-db

BuildRequires:  libosmium-devel >= %{libosmium_version}
BuildRequires:  libosmium-static >= %{libosmium_version}
BuildRequires:  rapidjson-devel >= %{rapidjson_version}
BuildRequires:  rapidjson-static >= %{rapidjson_version}

%description
Command line tool for working with OpenStreetMap data
based on the Osmium library


%prep
%autosetup -n %{name}-%{version}
rm -rf include/rapidjson


%build
mkdir build
cd build
%cmake ..
%make_build


%install
%make_install -C build
mkdir -p %{buildroot}%{_datadir}/zsh/site-functions
install -p -m644 zsh_completion/* %{buildroot}%{_datadir}/zsh/site-functions


%check
cd build
ctest -V


%files
%doc README.md CHANGELOG.md
%license LICENSE.txt
%{_bindir}/osmium
%{_mandir}/man1/osmium*.1.gz
%{_mandir}/man5/osmium*.5.gz
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_osmium


%changelog
* Tue Mar  7 2017 Tom Hughes <tom@compton.nu> - 1.5.1-2
- Rebuild against libosmium 2.11.1

* Tue Feb 14 2017 Tom Hughes <tom@compton.nu> - 1.5.1-1
- Update to 1.5.1 upstream release

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 17 2017 Tom Hughes <tom@compton.nu> - 1.4.1-2
- Rebuild against libosmium 2.11.0

* Mon Nov 21 2016 Tom Hughes <tom@compton.nu> - 1.4.1-1
- Update to 1.4.1 upstream release
- Exclude ppc64le as libosmium tests fail

* Fri Sep 16 2016 Tom Hughes <tom@compton.nu> - 1.4.0-1
- Update to 1.4.0 upstream release

* Thu Sep 15 2016 Tom Hughes <tom@compton.nu> - 1.3.1-3
- Rebuild against libosmium 2.9.0
- Exclude aarch64 as libosmium tests fail

* Thu Aug  4 2016 Tom Hughes <tom@compton.nu> - 1.3.1-2
- Rebuild against libosmium 2.8.0

* Sat Jun 11 2016 Tom Hughes <tom@compton.nu> - 1.3.1-1
- Update to 1.3.1 upstream release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 24 2016 Tom Hughes <tom@compton.nu> - 1.3.0-3
- Rebuild for boost 1.60.0

* Sun Nov 29 2015 Tom Hughes <tom@compton.nu> - 1.3.0-2
- Own %%{_datadir}/zsh

* Sun Nov 29 2015 Tom Hughes <tom@compton.nu> - 1.3.0-1
- Update to 1.3.0 upstream release

* Sun Sep  6 2015 Tom Hughes <tom@compton.nu> - 1.2.1-1
- Update to 1.2.1 upstream release

* Wed Jul 22 2015 Tom Hughes <tom@compton.nu> - 1.1.1-3
- Requre man-db for tests

* Thu Jul 16 2015 Tom Hughes <tom@compton.nu> - 1.1.1-2
- Use %%cmake

* Sun Jul 12 2015 Tom Hughes <tom@compton.nu> - 1.1.1-1
- Update to 1.1.1 upstream release

* Mon Jun  8 2015 Tom Hughes <tom@compton.nu> - 1.0.1-1
- Initial build
